package com.steerinfo.meterwork.meterworkimage.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.meterwork.dto.MeterWorkImageDto;
import com.steerinfo.meterwork.meterworkimage.model.MeterWorkImage;
import com.steerinfo.meterwork.meterworkimagetemp.model.MeterWorkImageTemp;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * MeterWorkImage服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-09-19 04:48
 * 类描述
 * 修订历史：
 * 日期：2020-09-19
 * 作者：generator
 * 参考：
 * 描述：MeterWorkImage服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkImageService extends IBaseService<MeterWorkImage, String>{

    RESTfulResult queryUrl(String actualFirstNo);

    RESTfulResult queryRailwayUrl(String actualFirstNo);
    RESTfulResult getRailwayImageUrl(HashMap<String, Object> map);
    RESTfulResult getRailwayActualImageUrl(HashMap<String, Object> map);
    RESTfulResult getAllRailwayImageUrl(HashMap<String, Object> map);

    RESTfulResult doSaveWf(MeterWorkImage mwi);
    RESTfulResult doSaveRailwayWf(MeterWorkImage mwi);
    RESTfulResult updateDynamicImage(MeterWorkImage mwi);

}